body {background: #101010;
    color: #c8dfff;
	width:100vw;
}
strong {
	text-decoration:none;
	color: #a0ffff;
}
div{
    color: #c8dfff;
}
a{color:#e0a0e0;}
.icon{
	height:27px;margin:1.5px}
.icon:hover {
	height:30px;margin:0px;
}
h1, h2, h3, h4, h5, h6 {
	color:cyan;
    margin-left: 5px;
}
h3, h4, h5, h6 {
	color:#a0c0f0;
    margin-left: 5px;
}
img {
    float:center;
    max-width: 60vw;
}
th {
	background-color: #100f0f;
	color: #a0ffff;
}
p {
    margin: 20px;
    color: #c8dfff;
//    background:black;
	font-size: 20px;
}
table, ul, .highlight {
    margin: 20px 50px 10px 50px;
	width:80%;
}

}
thead{background:#181818;color:white}
ul {
	font-size: 20px;
    background:black;
	color:white;
    border: 1px inset dimgray;
}
/* Tooltip container */
.tooltip {
  position: relative;
  display: inline-block;
  text-decoration: underline;
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  color: #fff;
  text-align: center;

  /* Position the tooltip text */
  position: absolute;
  z-index: 1;
  bottom: 200%;
  left: 50%;
  margin-left: -60px;

  /* Fade in tooltip */
  opacity: 0;
  transition: opacity 0.3s;
}
.tooltiptext {
	all: unset;
	min-width:10vw;
	background: #080010e0;
	border:1px solid darkcyan;
    padding:10px;
	font-family: normal;
	white-space:normal;
}
/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

table {
	font-size: 20px;
	font-family: monospace;
    color:#d8ffff;
    background:black;
    border: 1px inset dimgray;
	
}
tr:nth-child(odd){
	background-color:#101c28;
}
.bitwise > table > tbody > tr > td:nth-child(even){
	background-color:black;
}
td,th {padding: 5px 5px 5px 10px;}
.language-c {
	color:white;
}
.highlight{
	background-color:black;
    border: 1px inset dimgray;
	/*margin-top: 20px;*/
}
.comment{
	color:gray;
}

.identifier{
	color:lightblue;
}
.literal{
	color:orange;
}
.macro{
	color:cyan;
}
/*
generated by Pygments <https://pygments.org/>
Copyright 2006-2025 by the Pygments team.
Licensed under the BSD license, see LICENSE for details.
*/
pre { background-color: black; line-height: 125%; margin:20px;padding:10px; tab-size: 4; font-size:20px}
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
body .hll { background-color: #ffffcc }
body { background: #1e1e27; color: #CFBFAD }
body .c { color: #CD8B00 } /* Comment */
body .err { color: #FFFFFF; background-color: #6E2E2E } /* Error */
body .k { color: #808BED } /* Keyword */
body .n { color: #bFbFfD } /* Name */
body .o { color: #fff } /* Operator */
body .x { color: #CFBFAD } /* Other */
body .p { color: #CFBFAD } /* Punctuation */
body .ch { color:  #CD8B00 } /* Comment.Hashbang */
body .cm { color:  gray } /* Comment.Multiline */
body .cp { color:  #409090 } /* Comment.Preproc */
body .cpf { color: #FFED8B } /* 
Comment.PreprocFile */
body .df { color: #ff50b0 } /*#define*/
body .c1 { color:  #999 } /* Comment.Single */
body .cs { color:  #808BED } /* Comment.Special */
body .gd { color:  #A00000 } /* Generic.Deleted */
body .ge { font-style: italic } /* Generic.Emph */
body .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
body .gr { color: #F00 } /* Generic.Error */
body .gh { color: #000080; font-weight: bold } /* Generic.Heading */
body .gi { color: #00A000 } /* Generic.Inserted */
body .go { color: #888 } /* Generic.Output */
body .gp { color: #000080; font-weight: bold } /* Generic.Prompt */
body .gs { font-weight: bold } /* Generic.Strong */
body .gu { color: #800080; font-weight: bold } /* Generic.Subheading */
body .gt { color: #04D } /* Generic.Traceback */
body .kc { color: #808BED } /* Keyword.Constant */
body .kd { color: #808BED } /* Keyword.Declaration */
body .kn { color: #808BED } /* Keyword.Namespace */
body .kp { color: #808BED } /* Keyword.Pseudo */
body .kr { color: #808BED } /* Keyword.Reserved */
body .kt { color: #FF8BFF } /* Keyword.Type */
body .m { color: #FFED8B } /* Literal.Number */
body .s { color: #FFED8B } /* Literal.String */
body .na { color: #CFBFAD } /* Name.Attribute */
body .nb { color: #808BED } /* Name.Builtin */
body .nc { color: #FF8BFF } /* Name.Class */
body .no { color: #409090 } /* Name.Constant */
body .nd { color: #409090 } /* Name.Decorator */
body .ni { color: #CFBFAD } /* Name.Entity */
body .ne { color: #F00 } /* Name.Exception */
body .nf { color: white } /* Name.Function */
body .nl { color: #808BED } /* Name.Label */
body .nn { color: #F00 } /* Name.Namespace */
body .nx { color: #CFBFAD } /* Name.Other */
body .py { color: #CFBFAD } /* Name.Property */
body .nt { color: #CFBFAD } /* Name.Tag */
body .nv { color: #CFBFAD } /* Name.Variable */
body .ow { color: #666 } /* Operator.Word */
body .pm { color: #CFBFAD } /* Punctuation.Marker */
body .w { color: #434357 } /* Text.Whitespace */
body .mb { color: #F0ED8B } /* Literal.Number.Bin */
body .mf { color: #F0ED8B } /* Literal.Number.Float */
body .mh { color: #F0ED8B } /* Literal.Number.Hex */
body .mi { color: #F0ED8B } /* Literal.Number.Integer */
body .mo { color: #F0ED8B } /* Literal.Number.Oct */
body .sa { color: #FFCD8B; background-color: #404040 } /* Literal.String.Affix */
body .sb { color: #FFCD8B; background-color: #404040 } /* Literal.String.Backtick */
body .sc { color: #FFCD8B; background-color: #404040 } /* Literal.String.Char */
body .dl { color: #FFCD8B; background-color: #404040 } /* Literal.String.Delimiter */
body .sd { color: #808BED; background-color: #404040 } /* Literal.String.Doc */
body .s2 { color: #FFCD8B; background-color: #404040 } /* Literal.String.Double */
body .se { color: #FFCD8B; background-color: #404040 } /* Literal.String.Escape */
body .sh { color: #FFCD8B; background-color: #404040 } /* Literal.String.Heredoc */
body .si { color: #FFCD8B; background-color: #404040 } /* Literal.String.Interpol */
body .sx { color: #FFCD8B; background-color: #404040 } /* Literal.String.Other */
body .sr { color: #FFCD8B; background-color: #404040 } /* Literal.String.Regex */
body .s1 { color: #FFCD8B; background-color: #404040 } /* Literal.String.Single */
body .ss { color: #FFCD8B; background-color: #404040 } /* Literal.String.Symbol */
body .bp { color: #FF0 } /* Name.Builtin.Pseudo */
body .fm { color: #C080D0 } /* Name.Function.Magic */
body .vc { color: #CFBFAD } /* Name.Variable.Class */
body .vg { color: #CFBFAD } /* Name.Variable.Global */
body .vi { color: #CFBFAD } /* Name.Variable.Instance */
body .vm { color: #CFBFAD } /* Name.Variable.Magic */
body .il { color: #F0AD6D } /* Literal.Number.Integer.Long */

  </style>
